package server

import (
	"net"
)

type TransparentListener interface {
	Accept() (TransparentConnection, error)
	Close() error
}

type TransparentConnection interface {
	TCPConn() *net.TCPConn
	RealAddr() *net.TCPAddr
}


